# -*- coding: utf-8 -*-
from setuptools import setup

package_dir = \
{'': 'src'}

packages = \
['kilroytorch',
 'kilroytorch.losses',
 'kilroytorch.models',
 'kilroytorch.models.distribution',
 'kilroytorch.models.reward',
 'kilroytorch.modules',
 'kilroytorch.resources',
 'kilroytorch.samplers']

package_data = \
{'': ['*']}

install_requires = \
['kilroyshare>=0.6.0,<0.7.0', 'numpy>=1.22,<2.0', 'torch>=1.11,<2.0']

extras_require = \
{'dev': ['jupyterlab>=3.2,<4.0',
         'kilroyplot>=0.2,<0.3',
         'tqdm>=4.63,<5.0',
         'pytest>=7.0,<8.0'],
 'test': ['pytest>=7.0,<8.0']}

setup_kwargs = {
    'name': 'kilroytorch',
    'version': '0.3.1',
    'description': 'kilroy pytorch modules 🔥',
    'long_description': '<h1 align="center">kilroytorch</h1>\n\n<div align="center">\n\nkilroy pytorch modules 🔥\n\n[![Tests](https://github.com/kilroybot/kilroytorch/actions/workflows/test-multiplatform.yml/badge.svg)](https://github.com/kilroybot/kilroytorch/actions/workflows/test-multiplatform.yml)\n[![Docs](https://github.com/kilroybot/kilroytorch/actions/workflows/docs.yml/badge.svg)](https://github.com/kilroybot/kilroytorch/actions/workflows/docs.yml)\n\n</div>\n\n---\n\nTODO\n\n## Installing\n\nUsing `pip`:\n\n```sh\npip install kilroytorch\n```\n\n## Usage\n\nTODO\n',
    'author': 'kilroy',
    'author_email': 'kilroymail@pm.me',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/kilroybot/kilroytorch',
    'package_dir': package_dir,
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'extras_require': extras_require,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
